<?php get_header(); ?>

<div class="subhead">
	

		<?php if (have_posts()) : ?>

		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Архивы рубрики &#8216;<?php echo single_cat_title(); ?>&#8217;</h2>

 	 <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Архивы за день <?php the_time('F jS, Y'); ?></h2>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Архивы за месяц <?php the_time('F, Y'); ?></h2>

	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Архивы за год <?php the_time('Y'); ?></h2>

	 <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Архивы автора</h2>

	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Архивы блога</h2>

		<?php } ?>
	

</div>

<div id="content" >


<?php while (have_posts()) : the_post(); ?>
		
<div id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>

<div class="postmeta clearfix">
			<span class="coms"><?php comments_popup_link('0 комм-иев', '1 комм-ий', '% комм-иев'); ?> </span> 
			<span class="clock">  <?php days_ago(); ?></span> 
			<span class="perml"><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title(); ?>">Ссылка</a></span>
</div>

<div class="cover">
<!-- post format thingy starts here ; if you are trying to learn this-->
<?php
if ( has_post_format( 'chat' ) ) : { ?>
    <!--  big block of HTML to format a chat post -->
	   
	<?php $format_link = get_post_format_link('chat'); ?> 
	<a href="<?php echo $format_link  ?>" class="format-icon f-chat"> </a>
	
	<div class="title">
		<h2> <a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title(); ?>"> <?php the_title(); ?> </a> </h2>
	</div>
	<div class="entry">
		<?php the_content('Читать далее &raquo;'); ?>
		<div class="clear"></div>
	</div>	  
	   
	<?php }	
    elseif ( has_post_format( 'video' ) ) : { ?>
    <!--  big block of similar HTML to format a video post -->
		
	<div class="comm"><?php comments_popup_link('0', '1', '%'); ?></div>	
	<?php $format_link = get_post_format_link('video'); ?> 
	<a href="<?php echo $format_link  ?>" class="format-icon f-video"> </a>
	
	<div class="media-frame">
	<?php $video=get_post_meta($post->ID, 'wtf_video', true); ?>
	<?php echo $video; ?>
	</div>
	
	<div class="title">
		<h2> <a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title(); ?>"> <?php the_title(); ?> </a> </h2>
	</div>
	<div class="entry">
		<?php the_content('Читать далее &raquo;'); ?>
		<div class="clear"></div>
	</div>	  	

	
	<?php }		
    elseif ( has_post_format( 'image' ) ) : { ?>
        <!--  big block of similar HTML to format an image post -->
		
	<div class="comm"><?php comments_popup_link('0', '1', '%'); ?></div>	
	<?php $format_link = get_post_format_link('image'); ?> 
	<a href="<?php echo $format_link  ?>" class="format-icon f-image"> </a>
	
	<div class="media-frame">
	<?php
		if ( has_post_thumbnail() ) { ?>
		<a rel="prettyPhoto" href="<?php echo get_image_url()?>" class="bport porthov">
			<img class="formig" src="<?php bloginfo('stylesheet_directory'); ?>/timthumb.php?src=<?php get_image_url(); ?>&amp;h=300&amp;w=530&amp;zc=1" alt=""/>
		</a>
	<?php } else { ?>
			<img class="formig" src="<?php bloginfo('template_directory'); ?>/images/dummy.png" alt="" />
	<?php } ?>
	</div>
	<div class="title">
		<h2> <a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title(); ?>"> <?php the_title(); ?> </a> </h2>
	</div>
	<div class="entry">
		<?php the_content('Читать далее &raquo;'); ?>
		<div class="clear"></div>
	</div>	  		
		
	<?php }			
    elseif ( has_post_format( 'link' ) ) : { ?>
    <!-- big block of similar HTML to format a link -->
	<div class="comm"><?php comments_popup_link('0', '1', '%'); ?></div>	
	<?php $format_link = get_post_format_link('link'); ?> 
	<a href="<?php echo $format_link  ?>" class="format-icon f-link"> </a>
	<?php $link = get_post_meta($post->ID, 'wtf_link', $single = true); ?>
		<div class="title">
			<h2> <a href="<?php echo $link  ?>" title="<?php the_title(); ?>"> <?php the_title(); ?> </a> </h2>
		</div>
		<div class="entry">
			<?php the_content('Читать далее &raquo;'); ?>
			<div class="clear"></div>
		</div>	
	<?php }			
    elseif ( has_post_format( 'quote' ) ) : { ?>
    <!-- big block of similar HTML to format a quote -->
	<div class="comm"><?php comments_popup_link('0', '1', '%'); ?></div>	
	<?php $format_link = get_post_format_link('quote'); ?> 
	<a href="<?php echo $format_link  ?>" class="format-icon f-quote"> </a>
	
	<div class="entry">
		<div class="quote-frame">
		<div class="darrow"></div>
		<?php the_content('Читать далее &raquo;'); ?>
		<div class="clear"></div>
		</div>
		<div class="quoter">
		<?php $quoter = get_post_meta($post->ID, 'wtf_quoter', $single = true); ?>
		<h3><?php echo $quoter; ?></h3>
		</div>
	</div>	
	   
	<?php }			
    elseif ( has_post_format( 'audio' ) ) : { ?>
        <!-- big block of similar HTML to format an audio post	-->	
		
	<div class="comm"><?php comments_popup_link('0', '1', '%'); ?></div>	
	<?php $format_link = get_post_format_link('audio'); ?> 
	<a href="<?php echo $format_link  ?>" class="format-icon f-audio"> </a>
	<div class="media-frame">
		<?php $audio = get_post_meta($post->ID, 'wtf_audio', $single = true); ?>
		<div id='mediaspace-<?php the_ID(); ?>'>Этот текст будет заменен</div>
 		<script type='text/javascript'>
			jwplayer('mediaspace-<?php the_ID(); ?>').setup({
			'flashplayer': '<?php bloginfo('template_directory'); ?>/lib/player.swf',
			'file': '<?php echo $audio; ?>',
			'backcolor': '111111',
			'frontcolor': 'cccccc',
			'lightcolor': '66cc00',
			'playlistsize': '200',
			'skin': '<?php bloginfo('template_directory'); ?>/lib/stylish_slim.swf',
			'playlist': 'bottom',
			'controlbar': 'bottom',
			'width': '530',
			'height': '32'
			});
		</script>
	</div>
	<div class="entry">
		<?php the_content('Читать далее &raquo;'); ?>
		<div class="clear"></div>
	</div>		
		
	<?php }			
	elseif ( has_post_format( 'aside' ) ) : { ?>
        <!-- big block of similar HTML to format an aside ( small blurb of text with no title )	-->	
	<div class="comm"><?php comments_popup_link('0', '1', '%'); ?></div>	
	<?php $format_link = get_post_format_link('aside'); ?> 
	<a href="<?php echo $format_link  ?>" class="format-icon f-aside"> </a>
	<div class="entry">
		<?php the_content('Читать далее &raquo;'); ?>
		<div class="clear"></div>
	</div>	
			
	<?php }			
    else : { ?>
        <!-- big block of similar HTML to format other posts or called standard -->
		<a class="format-icon f-post"> </a> <!-- sorry guys, wordpress cannot query the standard post format, so I can't link the icon -->
		<div class="title">
			<h2> <a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title(); ?>"> <?php the_title(); ?> </a> </h2>
		</div>
		<div class="entry">
			<?php the_content('Читать далее &raquo;'); ?>
			<div class="clear"></div>
		</div>		
		
<?php }	endif; ?>
<!-- aaand the post format thingy ends here -->
<span class="cats clearfix"> <?php the_category(' , '); ?></span> 

</div>



</div>


	<?php endwhile; ?>

<?php getpagenavi(); ?>
	<?php else : ?>
		<h1 class="title">Не найдено</h1>
	<p>Извините, но по Вашему запросу ничего не было найдено.</p>
	<?php endif; ?>

</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>